[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.GetResourceType

Gets the Integer Resource Type for the class instance.

## Declaration

Source position: graphics.pp line 848

`public function TGraphic.GetResourceType: TResourceType; virtual;`

## Function result

TResourceType value used in the class instance.

## Description

GetResourceType is a TResourceType function used to get the resource type identifier for the class instance. It identifies the storage format used for graphic data in a resource.

GetResourceType is declared as a virtual method, and is normally overridden in descendants to return the resource type identifier for a specific image format. The return value is RT_RCDATA in TGraphic.

GetResourceType is used in the implementation of methods including: LoadFromResourceID and LoadFromResourceName.